<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tluser_group WHERE ftuser_group_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Group User sudah dipakai... ');
            <?php
              }
              else {
                    ?>          
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
      Getsecurity(6);
    $objAxpDB->ViewName("Daftar User Group"); 
    $objAxpDB->ViewSQL("SELECT fnid,ftuser_group_code,ftuser_group_name FROM tluser_group ORDER BY ftuser_group_code,ftuser_group_name ");
    $objAxpDB->ViewCaption("ID, Kode Group User, Nama Group User");
    
    $objAxpDB->FormName("User Group"); 
    $objAxpDB->FormSQL("SELECT  ftuser_group_code, ftuser_group_name, fnstatus FROM tluser_group");
    $objAxpDB->FormCaption("Kode Group User, Nama Group User, Status");
    $objAxpDB->FormPosition("TL, TL, TL, TL"); 
    $objAxpDB->Lookup("fnstatus", "SELECT fntrans_status_code, fttrans_status_name FROM tstransaction_status WHERE fntrans_group_code = 9", "fntrans_status_code", "fttrans_status_name", 1,true);
    $objAxpDB->SetStatus("id");                        
    if ($objAxpDB->GetStatus("id") == "") {
            $objAxpDB->ButtonShow("baru, cetak_daftar, export_excel , tutup");

    }
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->ButtonShow("reset, simpan, tutup");

    }
    elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->ButtonShow("update, hapus, tutup"); 
            $objAxpDB->FormLocked("1, 0, 0");
    }

    $objAxpDB->Process();
    $objAxpDB->WriteHtmlTable();
			
?>
